Christian Ney says:

 

GPUPI: International support thread

 

GPUPIforCPU.png

Belgium leeghoofd says:

Version 3.3 or beyond will not be allowed due to changed algorythms and other improvements!

Belgium leeghoofd says:

New 2020 scores: Require CPU-Z 1.91 or newer version New 2020 scores: Full desktop screenshot required ( no clipping)

Please log in or register to comment.